# Class: ComponentData

## ComponentMethod.ComponentData

#### new ComponentData(context, id) → {ComponentData}

HOMEWORKS COMPONENT Store constructor, It is separated by each COMPOENTS.

##### Parameters:

Name | Type | Description
--- | --- | ---
`context` | ComponentMethod | HOMEWORKS ComponentMethod Context.
`id` | string | HOMEWORKS Component Unique ID

Author:
  - Kenneth
Source:
  - index.js, line 102
See:
  - Refer an example document here.

##### Returns:

Type
  ComponentData